The Ably Websocket API is being deprecated on July 1, 2026. See the migration guide →
curl --request GET \
--url https://api.sx.bet/orders/odds/best{
"status": "success",
"data": {
"bestOdds": [
{
"marketHash": "0xbe621aead370a0c8c48fcfcff6fa60c49126683f4ba30945fbb94fcf8fb3fe9e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"outcomeOne": {
"percentageOdds": "65750000000000000000",
"updatedAt": 1773008449368
},
"outcomeTwo": {
"percentageOdds": "33000000000000000000",
"updatedAt": 1773007355305
}
}
]
}
}Get the best available odds for markets or leagues on the SX Bet exchange.
curl --request GET \
--url https://api.sx.bet/orders/odds/best{
"status": "success",
"data": {
"bestOdds": [
{
"marketHash": "0xbe621aead370a0c8c48fcfcff6fa60c49126683f4ba30945fbb94fcf8fb3fe9e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"outcomeOne": {
"percentageOdds": "65750000000000000000",
"updatedAt": 1773008449368
},
"outcomeTwo": {
"percentageOdds": "33000000000000000000",
"updatedAt": 1773007355305
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.sx.bet/llms.txt
Use this file to discover all available pages before exploring further.
GET /orders/* endpoints share a combined limit of 5,500 requests/min. See Rate Limits.marketHashes or leagueIds must be provided, but not both.Only get best odds for these market hashes. Comma separated. Exactly one of marketHashes or leagueIds must be provided, but not both.
Only get best odds for these league IDs. Comma separated. Exactly one of marketHashes or leagueIds must be provided, but not both.
Only get best odds denominated in this base token.